package com.jasamedika.medifirst2000.vo;

import java.util.HashSet;
import java.util.Set;

import javax.persistence.CascadeType;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.ManyToOne;
import javax.persistence.OneToMany;
import javax.persistence.Table;
import javax.validation.constraints.NotNull;

import com.fasterxml.jackson.annotation.JsonManagedReference;
import com.jasamedika.medifirst2000.base.BaseTransaction;
import com.jasamedika.medifirst2000.base.vo.BaseTransactionVO;

/**
 *  class PosisiRahim
 * 
 * @author Generator
 */
@Entity //@Audited
@Table(name = "PenghitunganKassaDanAlatOperasi_T")
public class PenghitunganKassaDanAlatOperasiVO extends BaseTransactionVO {
	@ManyToOne
	@NotNull(message = "Pasien tidak boleh kosong")
	private AntrianPasienDiPeriksaVO pasienDaftar;
	
	@OneToMany
	private Set<DetailAlatYangDigunakanVO> detailAlatYangDigunakan=new HashSet<DetailAlatYangDigunakanVO>();
	
	@OneToMany
	private Set<DetailDokterOperasiVO> detailDokterOperasi=new HashSet<DetailDokterOperasiVO>();

	public Set<DetailAlatYangDigunakanVO> getDetailAlatYangDigunakan() {
		return detailAlatYangDigunakan;
	}

	public void setDetailAlatYangDigunakan(Set<DetailAlatYangDigunakanVO> detailAlatYangDigunakan) {
		this.detailAlatYangDigunakan = detailAlatYangDigunakan;
	}

	public Set<DetailDokterOperasiVO> getDetailDokterOperasi() {
		return detailDokterOperasi;
	}

	public void setDetailDokterOperasi(Set<DetailDokterOperasiVO> detailDokterOperasi) {
		this.detailDokterOperasi = detailDokterOperasi;
	}

	public AntrianPasienDiPeriksaVO getPasienDaftar() {
		return pasienDaftar;
	}

	public void setPasienDaftar(AntrianPasienDiPeriksaVO pasienDaftar) {
		this.pasienDaftar = pasienDaftar;
	}
	
	
}

